<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Factorial Recursive Function</title>
</head>
<body>
<script>
    function factorial(number){
        if(number<1) return 1;
        return number * factorial(number-1);
    }

    var N=prompt("Enter the value of N:");
    var result = factorial(N);

    document.write(factorial(N));

</script>
</body>
</html>